#
# spec file for package foomatic-filters (Version 3.0.2)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    a2ps aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel ghostscript-mini glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libpng libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           foomatic-filters
BuildRequires:  a2ps
%define cvsdate cvs-20050221
License:        GPL
Group:          Hardware/Printing
Requires:       perl, a2ps
Autoreqprov:    on
Version:        3.0.2
Release:        20.5
Source0:        %{name}-%{cvsdate}.tar.bz2
# Source0:      %{name}-%{version}.tar.bz2
Patch0:         %{name}-3.0.1-exec.patch
URL:            http://www.linuxprinting.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        Filter Scripts Used by Printer Spoolers
#PreReq:       %insserv_prereq %fillup_prereq

%description
Filter scripts used by the printer spoolers to convert the incoming
PostScript data into the printer's native format using a printer and
driver-specific, but spooler-independent PPD file.



Authors:
--------
    Till Kamppeter <till.kamppeter@gmx.net>
    Grant Taylor  <gtaylor@linuxprinting.org>

%debug_package
%prep
%setup -n %{name}-%{cvsdate}
# %setup
%patch0 -p1

%build
export CFLAGS="$RPM_OPT_FLAGS -fstack-protector"
./make_configure
perl -pi -e "s:/usr/lib/(cups|pdq|ppr):%{_libdir}/\1:g" configure
./configure \
	--prefix=%{_prefix} \
	--mandir=%{_mandir} \
	--sysconfdir=%{_sysconfdir} \
	--libdir=%{_libdir}
make

%install
[ "$RPM_BUILD_ROOT" != "" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
make \
	PREFIX=$RPM_BUILD_ROOT/%{_prefix} \
	DESTDIR=$RPM_BUILD_ROOT \
	install
ln -s foomatic-rip $RPM_BUILD_ROOT/usr/%_lib/cups/filter/cupsomatic
rm -f $RPM_BUILD_ROOT/usr/%_lib/ppr/interfaces/foomatic-rip
rm -f $RPM_BUILD_ROOT/usr/%_lib/ppr/lib/foomatic-rip

%clean
# Clear up the mess
[ "$RPM_BUILD_ROOT" != "" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-, root, root)
%dir %{_sysconfdir}/foomatic
%config %{_sysconfdir}/foomatic/filter.conf
%{_sysconfdir}/foomatic/filter.conf.sample
%{_prefix}/bin/foomatic-rip
%{_prefix}/bin/foomatic-gswrapper
%dir /usr/%_lib/cups
%dir /usr/%_lib/cups/filter
/usr/%_lib/cups/filter/foomatic-rip
/usr/%_lib/cups/filter/cupsomatic
%doc %{_mandir}/man1/foomatic-*
%doc COPYING ChangeLog README TODO USAGE

%changelog -n foomatic-filters
* Tue May 23 2006 - kssingvo@suse.de
- fixed remote command execution vulnerability SWAMP#4432 (bugzilla#59233)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 - meissner@suse.de
- use -fstack-protector.
* Wed Dec 21 2005 - aj@suse.de
- Remove unpackaged symlinks on lib64 as well.
* Wed Dec 21 2005 - ro@suse.de
- remove unpackaged symlinks
* Tue Feb 22 2005 - kssingvo@suse.de
- upgrade to 3.0.2, which contains the below security fix only
* Thu Sep 23 2004 - kssingvo@suse.de
- forget to add cupsomatic as foomatic-rip link (backward compatible)
* Tue Sep 14 2004 - kssingvo@suse.de
- upgrade to CVS version to keep in sync with cups-drivers package
- author told me that foomatic-rip is 100%% compatible with cupsomatic
  made soft-link
* Mon Aug 30 2004 - kssingvo@suse.de
- fixes for security problem in foomatic-rip, CAN-2004-0801
  (bugzilla#44233)
* Mon Mar 01 2004 - kssingvo@suse.de
- upgrade to version 3.0.1
* Sun Jan 11 2004 - adrian@suse.de
- build as user
* Mon Aug 25 2003 - kssingvo@suse.de
- updated to 2003-08-21 version (fix for PS code insertion)
* Mon Jul 28 2003 - kssingvo@suse.de
- fixed problem in version name (removed %%cvsdate) - thx meissner
* Tue Jul 15 2003 - meissner@suse.de
- lib64 fixes.
* Fri Jul 04 2003 - kssingvo@suse.de
- It's coolo's fault: cannot add cups related link to cups package. :(
  it's now in this package (ugly and hopefully temporary solution)
* Fri Jul 04 2003 - ro@suse.de
- added directory to filelist /etc/foomatic
* Fri Jul 04 2003 - kssingvo@suse.de
- initial version
